1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
      • Get Transaction
        GET
      • Get Support Crypto Currency List
        GET
      • Get Support Real Currency List
        GET
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Support Real Currency List
      • Get Support Crypto Currency List
      • Get Orders
      • Get Orders Details
      • Get Transaction
      • Get Orders Refund Info
      • Orders Refund
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Orders Refund

POST
/api/v2/order/refund/{order_id}

Get Order Refund Status#

This endpoint retrieves the refund status of a specific order by making an HTTP GET request to /api/v2/order/refund/:order_id.

Request Body#

This request does not require a request body.

Response Body#

The response of this request is a JSON object representing the refund status of the order. The JSON schema for the response can be documented as follows:
{
    "order_id": "string",
    "refund_status": "string",
    "refund_amount": "number",
    "refund_date": "string"
}
order_id: The unique identifier of the order.
refund_status: The status of the refund, which can be one of the following: PENDING, SUCCESS, RESOLVED, PARTIAL, TERMINATED, REFUNDED.
refund_amount: The amount refunded for the order.
refund_date: The date and time when the refund was initiated.

Request

Authorization
API Key
Add parameter in header
API-Key
Example:
API-Key: ********************
or
Path Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dashboard.aurpay.net/api/v2/order/refund/20240614061316661529' \
--header 'API-Key: <api-key>'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "order_id": "20240614061316661529",
        "chain": "TRX",
        "currency": "USDT-TRC20",
        "amount": 7.6883,
        "network_fee": 0.3535,
        "obtained": 7.3348,
        "from_addr": "TMiJBaNdRVABNhZGwBx5vKWYCafCwGzuWn",
        "to_addr": "TFMsMzcQEmqEAxjaGnjQCE2TaeJYuHhCrF",
        "refund_et": 60
    },
    "result": true
}
Previous
Get Orders Refund Info
Next
Get Transaction
Built with